Skip to main content
POST
/
subscription
/
api
/
v1
/
subscriptions
/
{id}
/
charge-now
Charge Now
curl --request POST \
  --url https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/charge-now \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "CHARGE-NOW-001"
}
'
import requests

url = "https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/charge-now"

payload = { "idempotencyKey": "CHARGE-NOW-001" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({idempotencyKey: 'CHARGE-NOW-001'})
};

fetch('https://api.payaza.africa/live/subscription/api/v1/subscriptions/{id}/charge-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Charge completed successfully",
  "data": {
    "status": "SUCCESS",
    "transactionReference": "SUB_CHARGE_1782788822736",
    "amount": 5000,
    "currency": "NGN",
    "chargeMode": "DIRECT_CHARGE",
    "message": "Charge completed successfully."
  }
}

Authorizations

Authorization
string
header
required

Payaza {{Public API Key in Base 64}}

Path Parameters

id
string
required

The subscription ID.

Body

application/json
idempotencyKey
string
required

A unique key used to prevent duplicate charge requests.

Example:

"CHARGE-NOW-001"

Response

Charge Subscription Now Responses

success
boolean

Indicates if the request was successful.

Example:

true

message
string

Descriptive message regarding the charge operation.

Example:

"Charge completed successfully"

data
object

The payload containing the charge result or the next action details.